		var pin_img_width = pin_width;	
		
		$(function(){		
		  $('.pin').css('width',pin_width+"px");
		  $('.pin').css('margin',pin_margin+"px");
		  $('.pin').css('padding',pin_padding+"px");
		  $('#pin-board').css('width',pin_board_width+"px");
		  $('.pin-img').css('width',pin_img_width+"px");
		  	
		  $('#pin-board').masonry({
		    // options
		    itemSelector : '.pin',
		    isAnimated: true,
		    animationOptions: {
		        duration: 400,
		        easing: 'linear',
		        queue: false
		      }
		  });
		  
		  //genericAdd("Pin Title","Pin Image","URL linked to pin");
		 
		  $.each(pinDatabase, function(i, v) {
			genericAdd(v.title,v.image,v.url);
		  });		  
		  
		});
		
		function addButtonClicked() {
			var pin_title = $('#pin_title').val();
			var pin_image = $('#pin_image').val();
			var pin_url = $('#pin_url').val();
			
			genericAdd(pin_title,pin_image,pin_url);
			
			$('#pin_title').val('');
			$('#pin_image').val('');
			$('#pin_url').val('');
		}
		
		function genericAdd(pin_title,pin_image,pin_url) {
			var pin_url_html='';
			var pin_image_html='';
			
			if(null==pin_title || $.trim(pin_title)=="") {
				alert('Please enter a Pin title');
				return;
			}

			if(null!=pin_url && $.trim(pin_url)!="") {
				pin_url_html='<a href="'+pin_url+'">'+pin_title+'</a>';
			} else {
				pin_url_html=pin_title;
			}

			if(null!=pin_image && $.trim(pin_image)!="") {
				pin_image_html='<img class="pin-img" style="width:'+pin_img_width+'" src="'+pin_image+'"/><br/>';
				//preload the image-------
				Image1= new Image();
				Image1.src = pin_image;
				Image1.onload=function() {
					attachPin(pin_image_html,pin_url_html);
					return;
				};
				//------------------------
			}
			else {
				pin_image_html='';
				attachPin(pin_image_html,pin_url_html)
			}
			
		}
		
		function attachPin(pin_image_html,pin_url_html) {
			var $pin = $('<div class="pin" style="width:'+pin_width+'; margin:'+pin_margin+'; padding:'+pin_padding+'">'+pin_image_html+pin_url_html+'</div>');
			$('#pin-board').prepend( $pin ).masonry( 'reload' );			
		}